#!/usr/bin/python
# -*- coding: utf-8 -*-

# Copyright (C) 2022  David Arroyo Menéndez

# Author: David Arroyo Menéndez <davidam@gmail.com>
# Maintainer: David Arroyo Menéndez <davidam@gmail.com>

# This file is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.

# This file is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with DameOpenCV; see the file LICENSE.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
# Boston, MA 02110-1301 USA,

from setuptools import setup
from os import path

# def readme():
#     with open('README.org') as f:
#         return f.read()

this_directory = path.abspath(path.dirname(__file__))
with open(path.join(this_directory, 'README.md')) as f:
    long_description = f.read()

setup(name='dameopencv',
      version='0.0.24',
      description='Learning OpenCV from Tests by David Arroyo Menéndez',
      long_description=long_description,
      long_description_content_type='text/markdown',
      classifiers=[
        'Development Status :: 3 - Alpha',
        'License :: OSI Approved :: GNU General Public License v3 (GPLv3)',
        'Programming Language :: Python :: 3.6',
        'Topic :: Scientific/Engineering',
      ],
      keywords='opencv tests',
#      scripts=['damedetectcorner.py', 'damedetectcolors.py', 'damedisplayimage.py'],
      url='http://github.com/davidam/dameopencv',
      author='David Arroyo Menéndez',
      author_email='davidam@gmail.com',
      license='GPLv3',
      packages=['dameopencv', 'dameopencv.tests', 'dameopencv.files', 'dameopencv.files.img'],
      package_data={'dameopencv': ['*'],
                    'dameopencv.tests': ['*'],
                    'dameopencv.files': ['*'],
                    'dameopencv.files.img': ['*'],
                    },
      package_dir={'dameopencv': 'dameopencv', 'dameopencv.tests': 'dameopencv/tests', 'dameopencv.files': 'dameopencv/files', 'dameopencv.files.img': 'dameopencv/files/img'},
      data_files=[('dameopencv', ['README.md'])],
      install_requires=[
          'markdown',
          'numpy',
          'matplotlib',
          'opencv-python',
      ],
      test_suite='nose.collector',
      tests_require=['nose', 'nose-cover3'],
      # entry_points={
      #     'console_scripts': ['dameopencv=dameopencv'],
      # },
      include_package_data=True,
      zip_safe=False)
